import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { FormSOP } from '../../libappsop/formsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormSupplyPlanning extends FormSOP {
  public meSupplyPlanning = new MatrixEditorSupplyPlanning();

  public constructor() {
    super('FormSupplyPlanning');
  }
}

export class MatrixEditorSupplyPlanning extends MatrixEditorSOP<DialogDummy> {
  public static readonly title = 'Supply planning';

  public constructor() {
    super('MatrixEditorSupplyPlanning', 'matrixeditorContextMenuSupplyPlanning', new DialogDummy());
  }
}

const matrixSupplyPlanningContextMenuItem = {
  Lock: { ContextMenu: 'matrixeditorContextMenuSupplyPlanning', Name: 'MenuLock', Label: 'Lock' },
  Unlock: { ContextMenu: 'matrixeditorContextMenuSupplyPlanning', Name: 'MenuUnlock', Label: 'Unlock' },
};

export { matrixSupplyPlanningContextMenuItem as MatrixSupplyPlanningContextMenuItem };
